## com.vividsolutions.jts.geom
Class MultiLineString

    java.lang.Object
      com.vividsolutions.jts.geom.Geometry
          com.vividsolutions.jts.geom.GeometryCollection
              com.vividsolutions.jts.geom.MultiLineString

All Implemented Interfaces:
  java.lang.Cloneable, java.lang.Comparable, Lineal, java.io.Serializable

public class MultiLineString
extends GeometryCollection
implements Lineal

Basic implementation of `MultiLineString`.

Version:
  1.7
See Also:
  Serialized Form

Field Summary

Fields inherited from class com.vividsolutions.jts.geom.GeometryCollection
`geometries`

Fields inherited from class com.vividsolutions.jts.geom.Geometry
`envelope, factory, SRID`

Constructor Summary
`MultiLineString(LineString[] lineStrings, GeometryFactory factory)`
`MultiLineString(LineString[] lineStrings, PrecisionModel precisionModel, int SRID)` Deprecated. Use GeometryFactory instead

Method Summary
`boolean` `equalsExact(Geometry other, double tolerance)` Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance.
`Geometry` `getBoundary()` Gets the boundary of this geometry.
`int` `getBoundaryDimension()` Returns the dimension of this `Geometry`s inherent boundary.
`int` `getDimension()` Returns the dimension of this `Geometry`.
`java.lang.String` `getGeometryType()` Returns the name of this object's `com.vivid.jts.geom` interface.
`boolean` `isClosed()`
`MultiLineString` `reverse()` Creates a `MultiLineString` in the reverse order to this object.

Methods inherited from class com.vividsolutions.jts.geom.GeometryCollection
`apply, apply, apply, apply, clone, compareToSameClass, compareToSameClass, computeEnvelopeInternal, getArea, getCoordinate, getCoordinates, getGeometryN, getLength, getNumGeometries, getNumPoints, isEmpty, normalize`

Methods inherited from class com.vividsolutions.jts.geom.Geometry

`buffer, buffer, buffer, checkNotGeometryCollection, compare, compareTo, compareTo, contains, convexHull, coveredBy, covers, crosses, difference, disjoint, distance, equal, equals, equalsExact, geometryChanged, geometryChangedAction, getCentroid, getEnvelope, getEnvelopeInternal, getFactory, getInteriorPoint, getPrecisionModel, getSRID, getUserData, hasNonEmptyElements, hasNullElements, intersection, intersects, isEquivalentClass, isRectangle, isSimple, isValid, isWithinDistance, overlaps, relate, relate, setSRID, setUserData, symDifference, toString, toText, touches, union, union, within`

Methods inherited from class java.lang.Object
`equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### MultiLineString

    public MultiLineString(LineString[] lineStrings,
                           PrecisionModel precisionModel,
                           int SRID)

  Deprecated. Use GeometryFactory instead

  Constructs a `MultiLineString`.

Parameters:
  `lineStrings` - the `LineString`s for this `MultiLineString` , or `null` or an empty array to create the empty geometry. Elements may be empty `LineString`s, but not `null` s.
  `precisionModel` - the specification of the grid of allowable points for this `MultiLineString`
  `SRID` - the ID of the Spatial Reference System used by this `MultiLineString`

### MultiLineString

    public MultiLineString(LineString[] lineStrings,
                           GeometryFactory factory)

Parameters:
  `lineStrings` - the `LineString`s for this `MultiLineString`, or `null` or an empty array to create the empty geometry. Elements may be empty `LineString`s, but not `null`s.

Method Detail

### getDimension

    public int getDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this `Geometry`.

  Overrides:
    `getDimension` in class `GeometryCollection`

### getBoundaryDimension

    public int getBoundaryDimension()

  Description copied from class: `Geometry`
  Returns the dimension of this `Geometry`s inherent boundary.

  Overrides:
    `getBoundaryDimension` in class `GeometryCollection`

### getGeometryType

    public java.lang.String getGeometryType()

  Description copied from class: `Geometry`
  Returns the name of this object's `com.vivid.jts.geom` interface.

  Overrides:
    `getGeometryType` in class `GeometryCollection`

### isClosed

    public boolean isClosed()

### getBoundary

    public Geometry getBoundary()

  Gets the boundary of this geometry. The boundary of a lineal geometry is always a zero-dimensional geometry (which may be empty).

  Overrides:
    `getBoundary` in class `GeometryCollection`
  Returns:
    the boundary geometry
  See Also:
    `Geometry.getBoundary()`

### reverse

    public MultiLineString reverse()

  Creates a `MultiLineString` in the reverse order to this object. Both the order of the component LineStrings and the order of their coordinate sequences are reversed.

  Returns:
    a `MultiLineString` in the reverse order

### equalsExact

    public boolean equalsExact(Geometry other,
                               double tolerance)

  Description copied from class: `Geometry`
  Returns true if the two `Geometry`s are exactly equal, up to a specified distance tolerance. Two Geometries are exactly equal within a distance tolerance if and only if:
  - they have the same class
  - they have the same values for their vertices, within the given tolerance distance, in exactly the same order.
  If this and the other `Geometry`s are composites and any children are not `Geometry`s, returns `false`.

  Overrides:
    `equalsExact` in class `GeometryCollection`